Class PublicKeysImpl
java.lang.Object
com.eqixiac.equinix.networkedge.client.implementation.PublicKeysImpl
- All Implemented Interfaces:
PublicKeys
- Author:
- ianjones
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionReturns an instance of PublicKeyBuilder for defining a new Public Key.Deletes a public key (DELETE /ne/v1/publicKeys/{uuid}).list()Lists available Public Keys.Lists available Public Keys for the provided accountUcmId.
-
Constructor Details
-
PublicKeysImpl
public PublicKeysImpl()
-
-
Method Details
-
list
Description copied from interface:PublicKeysLists available Public Keys.- Specified by:
listin interfacePublicKeys- Returns:
PaginatedList
-
list
Description copied from interface:PublicKeysLists available Public Keys for the provided accountUcmId.- Specified by:
listin interfacePublicKeys- Parameters:
accountUcmId- the unique account identifier.- Returns:
PaginatedList
-
delete
Description copied from interface:PublicKeysDeletes a public key (DELETE /ne/v1/publicKeys/{uuid}). The endpoint is not in the published network-edgev1 spec; it answers204live (observed 2026-11-11).- Specified by:
deletein interfacePublicKeys- Parameters:
uuid- the key id- Returns:
truewhen the deletion was accepted
-
define
Description copied from interface:PublicKeysReturns an instance of PublicKeyBuilder for defining a new Public Key.- Specified by:
definein interfacePublicKeys- Parameters:
keyName- the name of the new Public Key.keyValue- the value of the new Public Key.- Returns:
PublicKeyOperator.PublicKeyBuilder
-